Package csb :: Package bio :: Package io :: Module wwpdb :: Class PDBEnsembleFileBuilder

[frames] | no frames]

# Class PDBEnsembleFileBuilder

source code

     object --+
              |
    FileBuilder --+
                  |
     PDBFileBuilder --+
                      |
                     PDBEnsembleFileBuilder

Supports serialization of NMR ensembles.

Functions as a simple decorator, which wraps `add_structure` with MODEL/ENDMDL records.

Nested Classes
Inherited from `FileBuilder`: `__metaclass__`

Instance Methods

add_structure(self, structure) Append a new model to the file | source code

Inherited from `PDBFileBuilder`: `add_header`, `finalize`, `writeline` Inherited from `FileBuilder`: `__init__`, `write` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `PDBFileBuilder`: `__abstractmethods__`

Properties
Inherited from `FileBuilder`: `isnull`, `output` Inherited from `object`: `__class__`

Method Details

### add_structure(self, structure)

source code

Append a new model to the file

Overrides: FileBuilder.add_structure